


<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <title>Index &mdash; Documentation</title>
  

  
  
    <link rel="shortcut icon" href="_static/favicon.ico"/>
  
  
  

  
  <script type="text/javascript" src="_static/js/modernizr.min.js"></script>
  
    
      <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
        <script src="_static/jquery.js"></script>
        <script src="_static/underscore.js"></script>
        <script src="_static/doctools.js"></script>
        <script crossorigin="anonymous" integrity="sha256-Ae2Vz/4ePdIu6ZyI/5ZGsYnb+m0JlOmKPjt6XZ9JJkA=" src="https://cdnjs.cloudflare.com/ajax/libs/require.js/2.3.4/require.min.js"></script>
        <script src="_static/js/bootstrap.min.js"></script>
        <script src="_static/js/bootstrap.bundle.min.js"></script>
        <script src="_static/js/custom.js"></script>
    
    <script type="text/javascript" src="_static/js/theme.js"></script>

    

  
  <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
  <link rel="stylesheet" href="_static/css/bootstrap.min.css" type="text/css" />
  <link rel="stylesheet" href="_static/css/bootstrap-grid.min.css" type="text/css" />
  <link rel="stylesheet" href="_static/css/custom.css" type="text/css" />
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" /> 
</head>

<body class="wy-body-for-nav">

   
  <div class="wy-grid-for-nav">
    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
          

          
            <a href="index.html" class="icon icon-home"> Shyft
          

          
          </a>

          
            
            
              <div class="version">
                4.12
              </div>
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <p class="caption"><span class="caption-text">Project</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="content/project/what_is_shyft.html">What is Shyft?</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/project/get_involved.html">Get involved</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/project/contact.html">Contact</a></li>
</ul>
<p class="caption"><span class="caption-text">Time Series</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="content/time_series/installation.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/time_series/concepts.html">Concepts</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/time_series/getting_started.html">Getting started</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/time_series/api.html">API Documentation</a></li>
</ul>
<p class="caption"><span class="caption-text">Hydrology</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="content/hydrology/installation.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/hydrology/concepts.html">Concepts</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/hydrology/getting_started.html">Getting started</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/hydrology/api.html">API Documentation</a></li>
</ul>
<p class="caption"><span class="caption-text">Energy Market</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="content/energy_market/installation.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/energy_market/concepts.html">Concepts</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/energy_market/getting_started.html">Getting started</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/energy_market/api.html">API Documentation</a></li>
</ul>
<p class="caption"><span class="caption-text">Dashboard</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="content/dashboard/installation.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/dashboard/concepts.html">Concepts</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/dashboard/getting_started.html">Getting started</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/dashboard/api.html">API Documentation</a></li>
</ul>

            
          
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">Shyft</a>
        
      </nav>


      <div class="wy-nav-content">
        
        <div class="rst-content">
        
          















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="index.html">Docs</a> &raquo;</li>
        
      <li>Index</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            

<h1 id="index">Index &ndash; T</h1>

<table style="width: 100%" class="indextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="content/time_series/api.html#shyft.time_series.GeoSlice.t">t() (shyft.time_series.GeoSlice property)</a>

      <ul>
        <li><a href="content/time_series/api.html#shyft.time_series.RatingCurveTimeFunction.t">(shyft.time_series.RatingCurveTimeFunction property)</a>
</li>
      </ul></li>
      <li><a href="content/time_series/api.html#shyft.time_series.GeoEvalArgs.t0_time_axis">t0_time_axis() (shyft.time_series.GeoEvalArgs property)</a>

      <ul>
        <li><a href="content/time_series/api.html#shyft.time_series.GeoTimeSeriesConfiguration.t0_time_axis">(shyft.time_series.GeoTimeSeriesConfiguration property)</a>
</li>
      </ul></li>
      <li><a href="content/time_series/api.html#shyft.time_series.GeoTimeSeriesConfiguration.t0_times">t0_times() (shyft.time_series.GeoTimeSeriesConfiguration property)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.TargetSpecCalcType">TargetSpecCalcType (class in shyft.hydrology)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.TargetSpecificationPts">TargetSpecificationPts (class in shyft.hydrology)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.TargetSpecificationVector">TargetSpecificationVector (class in shyft.hydrology)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.GammaSnowState.temp_swe">temp_swe() (shyft.hydrology.GammaSnowState property)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.InterpolationParameter.temperature">temperature() (shyft.hydrology.InterpolationParameter property)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.BTKParameter.temperature_gradient">temperature_gradient() (shyft.hydrology.BTKParameter method)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.BTKParameter.temperature_gradient_sd">temperature_gradient_sd() (shyft.hydrology.BTKParameter method)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.InterpolationParameter.temperature_idw">temperature_idw() (shyft.hydrology.InterpolationParameter property)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.TemperatureSource">TemperatureSource (class in shyft.hydrology)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.IcePackingParameters.threshold_temperature">threshold_temperature() (shyft.time_series.IcePackingParameters property)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.IcePackingParameters.threshold_window">threshold_window() (shyft.time_series.IcePackingParameters property)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.time">time (class in shyft.time_series)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.Calendar.time">time() (shyft.time_series.Calendar method)</a>

      <ul>
        <li><a href="content/time_series/api.html#shyft.time_series.TimeAxis.time">(shyft.time_series.TimeAxis method)</a>
</li>
        <li><a href="content/time_series/api.html#shyft.time_series.TimeSeries.time">(shyft.time_series.TimeSeries method)</a>
</li>
      </ul></li>
      <li><a href="content/time_series/api.html#shyft.time_series.TimeSeries.time_axis">time_axis() (shyft.time_series.TimeSeries property)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.Calendar.time_from_week">time_from_week() (shyft.time_series.Calendar method)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.CalibrationOption.time_limit">time_limit() (shyft.hydrology.CalibrationOption property)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.TimeAxis.time_points">time_points() (shyft.time_series.TimeAxis property)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.TimeAxis.time_points_double">time_points_double() (shyft.time_series.TimeAxis property)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.TimeSeries.time_shift">time_shift() (shyft.time_series.TimeSeries method)</a>

      <ul>
        <li><a href="content/time_series/api.html#shyft.time_series.TsVector.time_shift">(shyft.time_series.TsVector method)</a>
</li>
      </ul></li>
      <li><a href="content/time_series/api.html#shyft.time_series.TimeAxis">TimeAxis (class in shyft.time_series)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.TimeAxis.timeaxis_type">timeaxis_type() (shyft.time_series.TimeAxis property)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.TimeSeries">TimeSeries (class in shyft.time_series)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.UtcPeriod.timespan">timespan() (shyft.time_series.UtcPeriod method)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="content/hydrology/api.html#shyft.hydrology.TsTransform.to_average">to_average() (shyft.hydrology.TsTransform method)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.UtcTimeVector.to_numpy">to_numpy() (shyft.time_series.UtcTimeVector method)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.UtcTimeVector.to_numpy_double">to_numpy_double() (shyft.time_series.UtcTimeVector method)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.Calendar.to_string">to_string() (shyft.time_series.Calendar method)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.TimeAxis.total_period">total_period() (shyft.time_series.TimeAxis method)</a>

      <ul>
        <li><a href="content/time_series/api.html#shyft.time_series.TimeSeries.total_period">(shyft.time_series.TimeSeries method)</a>
</li>
      </ul></li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.CalibrationOption.tr_start">tr_start() (shyft.hydrology.CalibrationOption property)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.CalibrationOption.tr_stop">tr_stop() (shyft.hydrology.CalibrationOption property)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.CalibrationStatus.trace_goal_function_value">trace_goal_function_value() (shyft.hydrology.CalibrationStatus method)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.CalibrationStatus.trace_goal_function_values">trace_goal_function_values() (shyft.hydrology.CalibrationStatus property)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.CalibrationStatus.trace_parameter">trace_parameter() (shyft.hydrology.CalibrationStatus method)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.CalibrationStatus.trace_size">trace_size() (shyft.hydrology.CalibrationStatus property)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.KrlsRbfPredictor.train">train() (shyft.time_series.KrlsRbfPredictor method)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.TimeSeries.transform">transform() (shyft.time_series.TimeSeries method)</a>

      <ul>
        <li><a href="content/time_series/api.html#shyft.time_series.TsVector.transform">(shyft.time_series.TsVector method)</a>
</li>
      </ul></li>
      <li><a href="content/time_series/api.html#shyft.time_series.Calendar.trim">trim() (shyft.time_series.Calendar method)</a>

      <ul>
        <li><a href="content/time_series/api.html#shyft.time_series.UtcPeriod.trim">(shyft.time_series.UtcPeriod method)</a>
</li>
      </ul></li>
      <li><a href="content/time_series/api.html#shyft.time_series.trim_policy">trim_policy (class in shyft.time_series)</a>
</li>
      <li><a href="content/dashboard/api.html#shyft.dashboard.apps.dtss_viewer.dtsc_helper_functions.try_dtss_connection">try_dtss_connection() (in module shyft.dashboard.apps.dtss_viewer.dtsc_helper_functions)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.TargetSpecificationPts.ts">ts() (shyft.hydrology.TargetSpecificationPts property)</a>

      <ul>
        <li><a href="content/time_series/api.html#shyft.time_series.TsBindInfo.ts">(shyft.time_series.TsBindInfo property)</a>
</li>
      </ul></li>
      <li><a href="content/time_series/api.html#shyft.time_series.GeoEvalArgs.ts_dt">ts_dt() (shyft.time_series.GeoEvalArgs property)</a>

      <ul>
        <li><a href="content/time_series/api.html#shyft.time_series.GeoSlice.ts_dt">(shyft.time_series.GeoSlice property)</a>
</li>
      </ul></li>
      <li><a href="content/time_series/api.html#shyft.time_series.TimeSeries.ts_id">ts_id() (shyft.time_series.TimeSeries method)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.TsBindInfo">TsBindInfo (class in shyft.time_series)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.TsInfo">TsInfo (class in shyft.time_series)</a>
</li>
      <li><a href="content/dashboard/api.html#shyft.dashboard.apps.dtss_viewer.widgets.TsSelector">TsSelector (class in shyft.dashboard.apps.dtss_viewer.widgets)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.TsTransform">TsTransform (class in shyft.hydrology)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.TsVector">TsVector (class in shyft.time_series)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.Calendar.tz_info">tz_info() (shyft.time_series.Calendar property)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.TzInfo">TzInfo (class in shyft.time_series)</a>
</li>
  </ul></td>
</tr></table>


           </div>
           
          </div>
          <footer>
  

  <hr/>

  <div role="contentinfo">
    <p>
        &copy; Copyright 2021, The Shyft project

    </p>
  </div>
  Built with <a href="http://sphinx-doc.org/">Sphinx</a> using a <a href="https://github.com/rtfd/sphinx_rtd_theme">theme</a> provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>

        </div>
      </div>

    </section>

  </div>
  


  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script>

  
  
    
   

</body>
</html>